## transtermhp 2.07

=== Makefile ===
# $Id: Makefile,v 1.10 2006/05/27 21:14:03 carlk Exp carlk $
# Makefile for TransTermHP
# Usage: "make transterm" to make the main program
#        "make clean" removes all results of the compilation
#        "make no_obj" removes all the .o files

VER=2.07

# files used for the main transterm program
OBJ = seq.o \
      distr.o \
      util.o \
      map-output.o \
      gene-reader.o \
      search.o \
      conf.o \
      ermolaeva-score.o \
      ermolaeva-oldconf.o \
      analysis.o \
      anti.o \
      transterm.o

# files used for the 2ndscore program
SECONDARY_OBJ = seq.o \
    search.o \
    ermolaeva-score.o \
    util.o \
    2ndscore.o

# files to include in the distribution (.cc and .h are included automatically)
OTHERFILES = USAGE.txt \
             expterm.dat \
             LICENSE.txt \
             RELEASE-NOTES.txt \
             calibrate.sh \
             random_fasta.py \
             make_expterm.py \
             mfold_rna.sh \
             Makefile

# These options are for GCC/G++ --- you may have to change them if you
# use a different compiler
CXXFLAGS = -g -O3 -Wall -pedantic

all: transterm 2ndscore

transterm: $(OBJ) 
	$(CXX) $(CXXFLAGS) -o $@ $^

2ndscore: $(SECONDARY_OBJ)
	$(CXX) $(CXXFLAGS) -o $@ $^

clean: no_obj
	rm -f transterm 2ndscore core.*

no_obj:
	rm -f *.o

distribution:
	mkdir -p transterm_hp_v$(VER)
	cp $(OBJ:.o=.cc) $(SECONDARY_OBJ:.o=.cc) *.h $(OTHERFILES) transterm_hp_v$(VER)
	make -C transterm_hp_v$(VER) all no_obj

test:
	time ./transterm -r expterm.dat -c 0 ../test/*.{fna,ptt} > ../test/tmp.tt
	-diff ../test/tmp.tt ../test/correct.tt

# DO NOT DELETE

2ndscore.o: seq.h util.h ermolaeva-score.h
2ndscore.o: search.h
analysis.o: map-output.h seq.h conf.h distr.h util.h ermolaeva-score.h
analysis.o: transterm.h
anti.o: conf.h distr.h seq.h transterm.h
conf.o: transterm.h seq.h distr.h conf.h
distr.o: distr.h
ermolaeva-oldconf.o: seq.h conf.h distr.h util.h
ermolaeva-score.o: transterm.h ermolaeva-score.h seq.h
gene-reader.o: gene-reader.h seq.h util.h
map-output.o: map-output.h seq.h conf.h distr.h util.h transterm.h
search.o: transterm.h seq.h ermolaeva-score.h util.h
seq.o: seq.h util.h
transterm.o: transterm.h seq.h util.h map-output.h
transterm.o: conf.h distr.h gene-reader.h analysis.h ermolaeva-score.h
util.o: util.h
conf.o: distr.h seq.h
ermolaeva-score.o: seq.h
gene-reader.o: seq.h
map-output.o: seq.h conf.h distr.h
search.o: seq.h

=== debian/changelog ===
transtermhp (2.07-1) unstable; urgency=low

  * Initial release (Closes: #614382)

 -- Alex Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 19 Feb 2011 12:36:10 +0000

=== debian/control ===
Source: transtermhp
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Alex Mestiashvili <alex@biotec.tu-dresden.de>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.47)
Standards-Version: 3.9.1
Homepage: http://transterm.cbcb.umd.edu/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/transtermhp/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/transtermhp/trunk/

Package: transtermhp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: find rho-independent transcription terminators in bacterial genomes
 TransTermHP finds rho-independent transcription terminators in
 bacterial genomes. Each terminator found by the program is assigned a
 confidence value that estimates its probability of being a true
 terminator. TransTermHP is described in:
 .
 C. Kingsford, K. Ayanbule and S.L. Salzberg. Rapid, accurate,
 computational discovery of Rho-independent transcription terminators
 illuminates their relationship to DNA uptake. Genome Biology 8:R22
 (2007). 
 .
 A predecessor system, TransTerm, that used very different search and
 scoring algorithms is described in:
 .
 Maria D. Ermolaeva, Hanif G. Khalak, Owen White, Hamilton O. Smith and
 Steven L. Salzberg. Prediction of Transcription Terminators in Bacterial
 Genomes. J Mol Biol 301, (1), 27-33 (2000)

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for transtermhp
# Author: Alex Mestiashvili <alex@biotec.tu-dresden.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

# test: target in Makefile is broken.
# don't forget to notify upstream.
override_dh_auto_test:

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
version=3

http://transterm.cbcb.umd.edu/transterm_hp_v(.*)\.zip

## transtermhp 2.09

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #        "make clean" removes all results of the compilation
 #        "make no_obj" removes all the .o files
 
-VER=2.07
+VER=2.09
 
 # files used for the main transterm program
 OBJ = seq.o \

=== debian/changelog ===
transtermhp (2.09-5) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * d/u/metadata: yamllint
  * Update metadata with ref to conda

  [ Nilesh Patra ]
  * Add python3 support
  * Add autopkgtests
  * Install relevant examples
  * Add patch description
  * Fix with cme
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 20 Aug 2020 17:56:55 +0530

transtermhp (2.09-4) unstable; urgency=medium

  [ Steffen Möller ]
  * Updated RRID in d/u/metadata

  [ Andreas Tille ]
  * Remove invalid fields from debian/upstream/metadata

  [ Alexandre Mestiashvili ]
  * d/control:
    - bump Policy to 4.1.4
    - fix VCS-* fields use https
    - update uploader's email
    - debhelper v11
  * d/rules:
    - drop get-orig-source target
    - enable hardening flags
  * Drop get-orig-source script
  * Fix typos in man pages

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 01 Jun 2018 20:43:35 +0200

transtermhp (2.09-3) unstable; urgency=medium

  [ James McCoy]
  * Move debian/upstream to debian/upstream/metadata

  [ Fabian Klötzl ]
  * Standards-Version: 3.9.7 (no action need)
  * Added patch to correct returns (Closes: #811614)
  * Moved packaging to Git
  * Don't overwrite CXXFLAGS
  * Converted some file encodings to UTF-8

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Wed, 24 Feb 2016 06:39:41 +0000

transtermhp (2.09-2) unstable; urgency=low

  [ Charles Plessy ]
  * debian/upstream (renamed from upstream-metadata.yaml

  [ Andreas Tille ]
  * debian/upstream:
     - Fixed typo (s/TITILE/TITLE/)
     - Moved DOI+PMID to references
     - Added Volume, Number, Pages
     - BibTeX conform authors
  * debian/copyright:
     - DEP5
     - Add Files-Excluded to document what was removed from original source
  * debian/watch: handle +dfsg suffix
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - canonical Vcs fields
  * debian/patches/hardening.patch: Propagate hardening flags

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2013 15:29:48 +0100

transtermhp (2.09-1) unstable; urgency=low

  [ Alex Mestiashvili ]
  * New upstream release.

  [ Andreas Tille ]
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (compat+control)
  * Fixed Vcs fields
  * Stripped citation from long descriptions because it can be found in
    debian/upstream-metadata.yaml

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2011 10:44:24 +0200

=== debian/control ===
Source: transtermhp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>,
           Andreas Tille <tille@debian.org>,
           Fabian Klötzl <kloetzl@evolbio.mpg.de>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/transtermhp
Vcs-Git: https://salsa.debian.org/med-team/transtermhp.git
Homepage: https://transterm.cbcb.umd.edu/
Rules-Requires-Root: no

Package: transtermhp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: find rho-independent transcription terminators in bacterial genomes
 TransTermHP finds rho-independent transcription terminators in
 bacterial genomes. Each terminator found by the program is assigned a
 confidence value that estimates its probability of being a true
 terminator. TransTermHP is the successor of TransTerm which was using
 very different search and scoring algorithms.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=dversionmangle=s/[~\+]dfsg// \
    https://transterm.cbcb.umd.edu/transterm_hp_v(.*)\.zip
